/** 
 * \file MyDrawSprite.h
 * \brief Header file containing function declarations for drawing 2D sprites in 3D world.
 * 
 * \author Petar Bajic, MPE (C) All Rights Reserved, Homepage: www.mystic-peanut.com
 * \date January, 16 2007.
 */

#include "d3dx9.h"

#define SAFE_RELEASE(p)      { if(p) { (p)->Release(); (p)=NULL; } }

void my_DrawSprite(D3DXMATRIX *mat,D3DXVECTOR2 *scaling,D3DXVECTOR2 *spriteCentre,float rotation,
				   D3DXVECTOR2 *trans, LPDIRECT3DTEXTURE9 Tex, LPD3DXSPRITE m_sprite, bool enabled, 
				   LPRECT rect, WCHAR* strText, LPD3DXFONT pFont, D3DCOLOR color);
void my_DrawOutlineText(D3DXMATRIX *mat,D3DXVECTOR2 *scaling,D3DXVECTOR2 *spriteCentre,float rotation,
				   D3DXVECTOR2 *trans, LPD3DXSPRITE m_sprite, LPD3DXFONT pFont, WCHAR* strText, LPRECT rect,
				   D3DCOLOR color, D3DCOLOR outlineColor);

void my_DrawText(D3DXMATRIX *mat,D3DXVECTOR2 *scaling,D3DXVECTOR2 *spriteCentre,float rotation, D3DXVECTOR2 *trans, LPD3DXSPRITE sprite, LPD3DXFONT pFont, WCHAR* strText, LPRECT rect, D3DCOLOR color);

